> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Список моделей

> Возвращает модели, доступные с вашим ключом.



## OpenAPI

````yaml ru/openapi/ru-openai-api-openapi.yaml GET /v1/models
openapi: 3.1.0
info:
  title: ER:LC Россия — OpenAI-Совместимый API
  version: 1.0.0
  description: >-
    OpenAI-совместимые методы Chat Completions, получения моделей и синтеза речи
    ER:LC Россия. Поддерживаемые параметры приведены в описании каждого метода.
servers:
  - url: https://api.erlcrussia.com
    description: Основной сервер
  - url: https://api.erlcrussia.xyz
    description: Резервный сервер
security: []
paths:
  /v1/models:
    get:
      tags:
        - Models
      summary: Список моделей
      description: >-
        Возвращает модели, доступные с вашим ключом. Голосовой ключ видит только
        `emmy-voice-1`, чат- и агентский ключи — текстовые модели.
      responses:
        '200':
          description: Успешный список моделей в формате OpenAI.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    example: list
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ModelObject'
              example:
                object: list
                data:
                  - id: niya-1
                    object: model
                    created: 1710000000
                    owned_by: erlcrussia
                    name: Ния 1
                    description: Быстрая модель для повседневных задач.
                    context_length: 1000000
                    max_context_length: 1000000
                    modalities:
                      - text
                      - image
                      - audio
                      - video
                    capabilities:
                      chat: true
                      completion: true
                      function_calling: true
                      reasoning: false
                      thinking: false
                      tool_call: true
                      tools: true
                      vision: true
                  - id: emmy-1
                    object: model
                    created: 1710000000
                    owned_by: erlcrussia
                    name: Эмми 1
                    description: Более тщательный подход к ответам.
                    context_length: 1048576
                    max_context_length: 1048576
                    modalities:
                      - text
                      - image
                      - audio
                      - video
                    reasoning: true
                    supports_thinking: true
                    capabilities:
                      chat: true
                      completion: true
                      function_calling: true
                      reasoning: true
                      reasoning_effort:
                        - low
                        - medium
                        - high
                        - extra
                        - max
                      thinking: true
                      tool_call: true
                      tools: true
                      vision: true
                  - id: hubert-1
                    object: model
                    created: 1710000000
                    owned_by: erlcrussia
                    name: Хуберт 1
                    description: >-
                      Персонаж сообщества для вопросов о сервере; суржик можно
                      включить параметром surzhyk.
                    context_length: 1000000
                    max_context_length: 1000000
                    modalities:
                      - text
                      - image
                      - audio
                      - video
                    capabilities:
                      chat: true
                      completion: true
                      function_calling: true
                      reasoning: false
                      thinking: false
                      tool_call: true
                      tools: true
                      vision: true
          headers:
            x-request-id:
              $ref: '#/components/headers/RequestId'
            openai-processing-ms:
              $ref: '#/components/headers/ProcessingMs'
            x-ratelimit-limit-requests:
              $ref: '#/components/headers/RateLimitRequests'
            x-ratelimit-remaining-requests:
              $ref: '#/components/headers/RateLimitRemainingRequests'
            x-ratelimit-reset-requests:
              $ref: '#/components/headers/RateLimitResetRequests'
        '401':
          description: Ключ не передан или недействителен.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  message: >-
                    Incorrect API key provided. Check the key or create a new
                    one in the dashboard.
                  type: invalid_request_error
                  param: null
                  code: invalid_api_key
                  erlc_code: '5008'
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    ModelObject:
      type: object
      properties:
        id:
          type: string
          example: niya-1
        object:
          type: string
          example: model
        created:
          type: integer
          example: 1710000000
        owned_by:
          type: string
          example: erlcrussia
        name:
          type: string
          example: Ния 1
        description:
          type: string
          example: Быстрая модель для повседневных задач.
        context_length:
          type: integer
          example: 1000000
        max_context_length:
          type: integer
          example: 1000000
        modalities:
          type: array
          items:
            type: string
          example:
            - text
            - image
            - audio
            - video
        reasoning:
          type: boolean
          example: false
        supports_thinking:
          type: boolean
          example: false
        capabilities:
          type: object
          additionalProperties: true
    ErrorResponse:
      type: object
      description: >-
        Ошибка в формате OpenAI. `code` — строковый код OpenAI
        (`invalid_api_key`, `model_not_found`, `insufficient_quota`,
        `rate_limit_exceeded`) или `null`. Числовой код ER:LC Россия — в
        `erlc_code`, см. [коды ошибок](/ru/documentation/error-codes).
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient AI Credits
            type:
              type: string
              enum:
                - invalid_request_error
                - insufficient_quota
                - requests
                - server_error
              example: insufficient_quota
            param:
              type:
                - string
                - 'null'
              example: null
            code:
              type:
                - string
                - 'null'
              example: insufficient_quota
            erlc_code:
              type: string
              description: ER:LC Russia numeric error code.
              example: '5038'
  headers:
    RequestId:
      description: Идентификатор запроса для поддержки.
      schema:
        type: string
        example: req_8f2c1e9b4a7d4c0e9f1a2b3c4d5e6f70
    ProcessingMs:
      description: Время обработки запроса в миллисекундах.
      schema:
        type: integer
        example: 412
    RateLimitRequests:
      description: Лимит запросов в текущем окне.
      schema:
        type: integer
        example: 120
    RateLimitRemainingRequests:
      description: Сколько запросов осталось в текущем окне.
      schema:
        type: integer
        example: 119
    RateLimitResetRequests:
      description: Через сколько сбросится лимит, например `1s` или `6m0s`.
      schema:
        type: string
        example: 1s
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Передача токена авторизации в заголовке Authorization: Bearer <token>.'
    ApiKeyAuth:
      type: apiKey
      in: header
      name: erlcrussia-api-ai-key
      description: Ключ в заголовке erlcrussia-api-ai-key.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.